import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Point, Type, IList$1 } from "igniteui-angular-core";
import { AxisLabelPanelBaseView } from "./AxisLabelPanelBaseView";
import { Rect } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { List$1 } from "igniteui-angular-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { IAngleScaler } from "./IAngleScaler";
import { CategoryAxisRenderer } from "./CategoryAxisRenderer";
import { DependencyProperty } from "igniteui-angular-core";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { PolarAxisRenderingManager } from "./PolarAxisRenderingManager";
import { ScalerParams } from "./ScalerParams";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { Geometry } from "igniteui-angular-core";
import { NumericAxisBase } from "./NumericAxisBase";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { GeometryGroup } from "igniteui-angular-core";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare class AngleAxisLabelPanel extends AxisLabelPanelBase {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b8(a: AxisLabelPanelBaseView): void;
    cs: AngleAxisLabelPanelView;
    constructor();
    ct: boolean;
    cz: (arg1: number) => Point;
    ao(a: number, b: Rect): boolean;
    cx: number;
    cu: number;
    cw: number;
    cv: number;
    ay(): List$1<Rect>;
    private cy;
    ah(): AxisLabelsLocation;
    as(a: AxisLabelsLocation): boolean;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxis extends CategoryAxisBase implements IAngleScaler {
    static $t: Type;
    a1(): AxisView;
    gs(a: AxisView): void;
    kx: CategoryAngleAxisView;
    protected get_b0(): boolean;
    private k2;
    constructor();
    as(): AxisLabelPanelBase;
    kz: CategoryAxisRenderer;
    private k3;
    private lh;
    private k7;
    private ky;
    private lw;
    private lb;
    private kw;
    getMinMaxAngle(a: Rect, b: number, c: number): {
        p1: number;
        p2: number;
    };
    ac(): void;
    private k0;
    k1: NumericRadiusAxis;
    ah(): Axis;
    li: number;
    private k8;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    jr(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    le(a: number): number;
    protected g7(a: boolean): void;
    ld(a: Rect, b: Rect): number;
    lc(a: Rect, b: Rect): number;
    getScaledAngle(a: number): number;
    getUnscaledAngle(a: number): number;
    dw(a: number, b: ScalerParams): number;
    dz(a: number, b: ScalerParams): number;
    protected gu(a: any, b: string, c: any, d: any): void;
    private lq;
    ls(a: NumericRadiusAxis): void;
    static readonly lt: DependencyProperty;
    lf: number;
    private k5;
    k9: number;
    d7(): number;
    static readonly lu: DependencyProperty;
    lg: number;
    private k6;
    la: number;
    protected k4(): boolean;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    cn(): boolean;
    private lj;
    lk: number;
    it(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericAngleAxis extends NumericAxisBase implements IAngleScaler {
    static $t: Type;
    a1(): AxisView;
    gs(a: AxisView): void;
    lc: NumericAngleAxisView;
    lf: PolarAxisRenderingManager;
    protected get_b0(): boolean;
    constructor();
    as(): AxisLabelPanelBase;
    private lj;
    private ll;
    private lg;
    private lh;
    jd(): NumericAxisRenderer;
    private ls;
    dw(a: number, b: ScalerParams): number;
    getScaledAngle1(a: number, b: boolean, c: boolean): number;
    getScaledAngle(a: number): number;
    dz(a: number, b: ScalerParams): number;
    getUnscaledAngle(a: number): number;
    lm: number;
    private li;
    protected gu(a: any, b: string, c: any, d: any): void;
    private lo;
    jh(): NumericAxisRenderingParameters;
    jg(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    getMinMaxAngle(a: Rect, b: number, c: number): {
        p1: number;
        p2: number;
    };
    protected g7(a: boolean): void;
    private ld;
    le: NumericRadiusAxis;
    ah(): Axis;
    lq(a: NumericRadiusAxis): void;
    protected hh(a: Rect, b: Rect): void;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    it(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class NumericRadiusAxis extends NumericAxisBase {
    static $t: Type;
    a1(): AxisView;
    gs(a: AxisView): void;
    le: NumericRadiusAxisView;
    protected get_cc(): boolean;
    dv(): number;
    private ln;
    private lm;
    private lf;
    constructor();
    as(): AxisLabelPanelBase;
    lg: boolean;
    private lk;
    private lh;
    jd(): NumericAxisRenderer;
    dw(a: number, b: ScalerParams): number;
    lq(a: number, b: boolean, c: boolean, d: number, e: number): number;
    lp(a: number): number;
    lr(a: number): number;
    dz(a: number, b: ScalerParams): number;
    lt: number;
    lj: number;
    ls: number;
    li: number;
    protected gu(a: any, b: string, c: any, d: any): void;
    protected ll: number;
    ly(a: Axis): void;
    private lc;
    ld: Axis;
    ah(): Axis;
    jh(): NumericAxisRenderingParameters;
    jg(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    private lz;
    private lu;
    lo(): number;
    k2(a: AxisRangeChangedEventArgs): void;
    protected g7(a: boolean): void;
    protected hh(a: Rect, b: Rect): void;
    lx(a: GeometryGroup, b: Rect, c: Rect, d: Rect, e: Rect): void;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    it(a: number, b: Rect, c: Rect, d?: any, e?: any): Geometry;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AngleAxisLabelPanelView extends AxisLabelPanelBaseView {
    static $t: Type;
    protected ax: AngleAxisLabelPanel;
    constructor(a: AngleAxisLabelPanel);
    am(): void;
    ay(a: List$1<Rect>, b: List$1<boolean>): void;
    o(): number;
    p(): number;
    q(): number;
    r(): number;
}
/**
 * @hidden
 */
export declare class CategoryAngleAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bg: CategoryAngleAxis;
    constructor(a: CategoryAngleAxis);
}
/**
 * @hidden
 */
export declare class NumericAngleAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: NumericAngleAxis;
    constructor(a: NumericAngleAxis);
}
/**
 * @hidden
 */
export declare class NumericRadiusAxisView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: NumericRadiusAxis;
    constructor(a: NumericRadiusAxis);
}
